<ng-container *ngIf="result">
  <div class="result">
    <div class="success">
      <h2 *ngIf="result.score >= result.questions.length / 2">
        Congratulations you passed the Quiz! <i class="far fa-smile"></i>
      </h2>
    </div>

    <div class="failed">
      <h2 *ngIf="result.score < result.questions.length / 2">
        Quiz failed! <i class="far fa-frown"></i>
      </h2>
    </div>

    <p>Your score: {{ result.score }} / {{ result.questions.length }}</p>

    <button
      *ngIf="!showAnswers"
      mdbBtn
      type="button"
      (click)="handleShowAnswers()"
      color="unique"
      mdbWavesEffect
    >
      Show Answers
    </button>

    <div *ngIf="showAnswers" class="answer">
      <div *ngFor="let result of result.results" class="question">
        <h5>{{ result.question.question }}</h5>
        <h6>Correct Answer: {{ result.question.correct_answer }}</h6>
        <h6
          [ngStyle]="{
            color:
              result.question.correct_answer.localeCompare(result.answer) !== 0
                ? 'red'
                : ''
          }"
        >
          Your Answer: {{ result.answer }}
        </h6>
      </div>
    </div>
  </div>
</ng-container>
